## ros-rolling-octomap-rviz-plugins 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5z)
project(octomap_rviz_plugins)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  set(CMAKE_CXX_EXTENSIONS OFF)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

find_package(Qt5 REQUIRED COMPONENTS Widgets)
set(CMAKE_AUTOMOC ON)

set(octomap_rviz_plugins_headers_to_moc
  include/octomap_rviz_plugins/occupancy_grid_display.hpp
  include/octomap_rviz_plugins/occupancy_map_display.hpp
)

foreach(header "${octomap_rviz_plugins_headers_to_moc}")
  qt5_wrap_cpp(octomap_rviz_plugins_moc_files "${header}")
endforeach()

ament_auto_add_library(${PROJECT_NAME} SHARED
  ${octomap_rviz_plugins_moc_files}
  src/occupancy_grid_display.cpp
  src/occupancy_map_display.cpp
)

target_link_libraries(${PROJECT_NAME}
  Qt5::Widgets
  ${OCTOMAP_LIBRARIES}
)

target_include_directories(${PROJECT_NAME} PUBLIC
  ${Qt5Widgets_INCLUDE_DIRS}
)

target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_compile_definitions(${PROJECT_NAME} PRIVATE "OCTOMAP_RVIZ_PLUGINS_BUILDING_LIBRARY")

# Check version of rclcpp to switch between features (message_lost_callback):
#  - Foxy is on rclcpp 2.x
#  - Galactic is on rclcpp 9.x
#  - Rolling (currently) is on rclcpp 14.x
if(${rclcpp_VERSION_MAJOR} VERSION_LESS "3.0.0")
  target_compile_definitions(${PROJECT_NAME} PRIVATE "FOXY")
endif()

pluginlib_export_plugin_description_file(rviz_common plugins_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(
  INSTALL_TO_SHARE
    icons
)

=== debian/changelog ===
ros-rolling-octomap-rviz-plugins (2.0.0-3jammy) jammy; urgency=high

  * ROS2 Migration (#41 <https://github.com/OctoMap/octomap_rviz_plugins/issues/41>)
  * Contributors: Daisuke Nishimatsu, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Tue, 21 Dec 2021 08:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.2.4-3jammy) jammy; urgency=high

  * Use automoc feature of CMake (#34 <https://github.com/OctoMap/octomap_rviz_plugins/issues/34>)
  * Contributors: Simon Schmeisser (isys vision), Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Tue, 21 Dec 2021 08:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.2.3-3jammy) jammy; urgency=high

  * Build plugin-lib as module (#36 <https://github.com/OctoMap/octomap_rviz_plugins/issues/36>)
  * Add GitHub Actions CI, address warnings for ROS Noetic (#39 <https://github.com/OctoMap/octomap_rviz_plugins/issues/39>)
  * Contributors: Sebastian Kasperski, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Sun, 17 Jan 2021 08:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.2.2-3jammy) jammy; urgency=high

  * Add missing Qt5 dependencies #35 <https://github.com/OctoMap/octomap_rviz_plugins/issues/35>
  * Contributors: Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Tue, 16 Jul 2019 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.2.1-3jammy) jammy; urgency=high

  * Add Wolfgang Merkt to maintainers
  * Update visualization on property changes with latched topics <https://github.com/OctoMap/octomap_rviz_plugins/issues/32>
  * Update node frame from TF on every frame <https://github.com/OctoMap/octomap_rviz_plugins/issues/31>
  * Fixed rendering of free-space voxels and pruning enclosed nodes <https://github.com/OctoMap/octomap_rviz_plugins/issues/30>
  * Contributors: Armin Hornung, Matthias Nieuwenhuisen, Vladimir Ivan, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Thu, 11 Jul 2019 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.2.0-3jammy) jammy; urgency=high

  * Fix: RViz uses Qt5 in kinetic
  * Contributors: Armin Hornung

 -- Armin Hornung <armin@hornung.io>  Sun, 10 Jul 2016 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.1.0-3jammy) jammy; urgency=high

  * Remove -ldefault_plugin from linker options, fixes #19 <https://github.com/OctoMap/octomap_rviz_plugins/issues/19>
  * Support for displaying ColorOcTree and OcTreeStamped, templated rviz plugins
  * Trim Z values in the octomap visualization
  * Add alpha property to OccupancyGridDisplay
  * add fix for qt moc BOOST_JOIN problem for osx yosemite build
  * Contributors: Armin Hornung, Felix Endres, Gautham Manoharan, Javier V. Gómez, Oleksandr Lavrushchenko, Ryohei Ueda

 -- Armin Hornung <armin@hornung.io>  Thu, 07 Jul 2016 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.0.5-3jammy) jammy; urgency=high

  * fix a crash when the destructor is called before onInitialize
  * Fix descriptions, limit octree depth range
  * Porting fixes from groovy branch (QT4_WRAP macro, OCTOMAP_INCLUDE_DIRS)

 -- Armin Hornung <armin@hornung.io>  Fri, 06 Sep 2013 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.0.4-3jammy) jammy; urgency=high

  * Safer checking for octree conversion from stream
  * Create octomap using AbstracOcTree (Fix issue #1)

 -- Armin Hornung <armin@hornung.io>  Fri, 05 Jul 2013 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.0.3-3jammy) jammy; urgency=high

  * correct CMakeLists. octomap_INCLUDE_DIRS(or LIB..) to OCTOMAP_INCLUDE_DIRS

 -- Armin Hornung <armin@hornung.io>  Wed, 26 Jun 2013 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.0.2-3jammy) jammy; urgency=high

  * 0.0.1 -> 0.0.2
  * adding OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED option to make QT4_WRAP macro happy

 -- Armin Hornung <armin@hornung.io>  Wed, 08 May 2013 07:00:00 -0000

ros-rolling-octomap-rviz-plugins (0.0.1-3jammy) jammy; urgency=high

  * removing dependency to octomap_ros package + clean-up
  * removing rosbuild Makefile
  * major revision
  * adjusting to recent rviz api changes
  * removed pcl dependancy
  * fixed threading issue
  * working version with ogre point cloud structures and colored boxes
  * added max depth filter

 -- Armin Hornung <armin@hornung.io>  Sat, 04 May 2013 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-octomap-rviz-plugins
Section: misc
Priority: optional
Maintainer: Armin Hornung <armin@hornung.io>
Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-rolling-ament-cmake-auto, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-octomap, ros-rolling-octomap-msgs, ros-rolling-rclcpp, ros-rolling-rviz-common, ros-rolling-rviz-default-plugins, ros-rolling-rviz-rendering, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/octomap_rviz_plugins
Standards-Version: 3.9.2

Package: ros-rolling-octomap-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-rolling-octomap, ros-rolling-octomap-msgs, ros-rolling-rclcpp, ros-rolling-rviz-common, ros-rolling-rviz-default-plugins, ros-rolling-rviz-rendering, ros-rolling-ros-workspace
Description: A set of plugins for displaying occupancy information decoded from binary octomap messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-octomap-rviz-plugins//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
